## libcwd 1.0.4

=== documentation/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	cp $(top_srcdir)/example-project/debug.h external/debug.h
 
 $(top_srcdir)/example-project/debug.h: $(top_srcdir)/example-project/debug.h.maintainer
-	$(MAKE) -C $(top_builddir) $(top_srcdir)/example-project/debug.h
+	$(MAKE) -C $(top_builddir) example-project/debug.h
 
 external/debug.cc: $(top_srcdir)/example-project/debug.cc
 	@mkdir -p external
