=== debian/control ===
Source: libcwd
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carlo Wood <carlo@alinoe.com>
Build-Depends: debhelper (>= 6), procps, autotools-dev
Standards-Version: 3.8.4
XS-Autobuild: yes
Section: non-free/libs

Package: libcwd
Section: non-free/libdevel
Architecture: any
Replaces: libcwd0, libcwd-dev
Conflicts: libcwd0, libcwd-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libcwd-doc
Description: C++ Debugging Support Library
 Libcwd is a full-featured, professional, well-documented library
 to support C++ developers with debugging their applications.
 It includes support for ostream-based debug output, custom debug
 channels and devices, powerful memory allocation debugging,
 run-time sourcefile:linenumber information, and demangled type
 names of variables.

Package: libcwd-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation of the libcwd C++ Debugging Support Library
 Libcwd is a full-featured, professional, well-documented library
 to support C++ developers with debugging their applications.
 It includes support for ostream-based debug output, custom debug
 channels and devices, powerful memory allocation debugging,
 run-time sourcefile:linenumber information, and demangled type
 names of variables.
 .
 This package contains documentation files.
