=== debian/watch ===
# No watch file is necessary, as I am the upstream maintainer as well
# and build the debian package straight from the 'upstream's harddisk.
